**********Oona A. Hathaway, Why Do States Commit?*******
***see Hathaway Tables.do for new variables first*******

**************Figure 1 (CAT-Torture)*****************

#delimit;
stset, clear;
stset year, failure(catr==1) id(ccode) origin(time year==1984) enter(year==1984);

xi: stcox democtort2 tort2 democ newreg ngosi  l_catr_regp, robust cluster(country);

predictnl mfxtort2=exp(_b[tort2]+_b[democtort2]*democ), ci(lc uc);

twoway (connected mfxtort2 democ, sort clcolor(black) clpat(solid) mcolor(black)) 
	(connected uc democ, sort clpattern(dash) clwidth(thin) clcolor(black) mcolor(black) msize(1)) 
	(connected lc democ, sort clpattern(dash) clwidth(thin) clcolor(black) mcolor(black) msize(1)), 
	yline(1, lcolor(black)) ytitle(Partial Effect of Torture) 
	xtitle(Democracy) xlabel(0(1)10) legend(off);

drop mfxtort2 uc lc;

**************Figure 2 (CAT-PTS Amnesty)*****************

#delimit;
stset, clear;
stset year, failure(catr==1) id(ccode) origin(time year==1984) enter(year==1984);
xi: stcox ptsa2 democ democptsa2 newreg ngosi  l_catr_regp , 
robust cluster(country);    

predictnl mfxptsa2=exp(_b[ptsa2]+_b[democptsa2]*democ), ci(lc uc);

twoway (connected mfxptsa2 democ, sort clcolor(black) clpat(solid) mcolor(black)) 
	(connected uc democ, sort clpattern(dash) clwidth(thin) clcolor(black) mcolor(black) msize(1)) 
	(connected lc democ, sort clpattern(dash) clwidth(thin) clcolor(black) mcolor(black) msize(1)), 
	yline(1, lcolor(black)) ytitle(Partial Effect of Political Terror (Amnesty)) 
	xtitle(Democracy) xlabel(0(1)10) legend(off);

drop mfxptsa2 uc lc;

**************Figure 3 (CAT-PTS State)*****************

#delimit;
stset, clear;
stset year, failure(catr==1) id(ccode) origin(time year==1984) enter(year==1984);
xi: stcox  ptss2 democ democptss2 newreg ngosi  l_catr_regp , 
robust cluster(country);    

predictnl mfxptss2=exp(_b[ptss2]+_b[democptss2]*democ), ci(lc uc);

twoway (connected mfxptss2 democ, sort clcolor(black) clpat(solid) mcolor(black)) 
	(connected uc democ, sort clpattern(dash) clwidth(thin) clcolor(black) mcolor(black) msize(1)) 
	(connected lc democ, sort clpattern(dash) clwidth(thin) clcolor(black) mcolor(black) msize(1)), 
	yline(1, lcolor(black)) ytitle(Partial Effect of Political Terror (State)) 
	xtitle(Democracy) xlabel(0(1)10) legend(off);

drop mfxptss2 uc lc;

**************Figure 4 (Articles 21 & 22-Torture)*****************

#delimit;
stset, clear;
stset year, failure(cat_21==1) id(ccode) origin(time year==1984) enter(year==1984);
xi: stcox democtort2 democ tort2 newreg ngosi  l_cat_21_regp  , 
robust cluster(country);     

predictnl mfxtort2=exp(_b[tort2]+_b[democtort2]*democ), ci(lc uc);

twoway (connected mfxtort2 democ, sort clcolor(black) clpat(solid) mcolor(black)) 
	(connected uc democ, sort clpattern(dash) clwidth(thin) clcolor(black) mcolor(black) msize(1)) 
	(connected lc democ, sort clpattern(dash) clwidth(thin) clcolor(black) mcolor(black) msize(1)), 
	yline(1, lcolor(black)) ytitle(Partial Effect of Torture) 
	xtitle(Democracy) xlabel(0(1)10) legend(off);

drop mfxtort2 uc lc;

**************Figure 5 (Articles 21 & 22-PTS Amnesty)*****************

#delimit;
stset, clear;
stset year, failure(cat_21==1) id(ccode) origin(time year==1984) enter(year==1984);
xi: stcox democptsa2 democ ptsa2 newreg ngosi  l_cat_21_regp  , 
robust cluster(country);    

predictnl mfxptsa2=exp(_b[ptsa2]+_b[democptsa2]*democ), ci(lc uc);

twoway (connected mfxptsa2 democ, sort clcolor(black) clpat(solid) mcolor(black)) 
	(connected uc democ, sort clpattern(dash) clwidth(thin) clcolor(black) mcolor(black) msize(1)) 
	(connected lc democ, sort clpattern(dash) clwidth(thin) clcolor(black) mcolor(black) msize(1)), 
	yline(1, lcolor(black)) ytitle(Partial Effect of Political Terror (Amnesty)) 
	xtitle(Democracy) xlabel(0(1)10) legend(off);

drop mfxptsa2 uc lc;

**************Figure 6 (Articles 21 & 22-PTS State)*****************

#delimit;
stset, clear;
stset year, failure(cat_21==1) id(ccode) origin(time year==1984) enter(year==1984);
xi: stcox democptss2 democ ptss2 newreg ngosi  l_cat_21_regp  , 
robust cluster(country);     

predictnl mfxptss2=exp(_b[ptss2]+_b[democptss2]*democ), ci(lc uc);

twoway (connected mfxptss2 democ, sort clcolor(black) clpat(solid) mcolor(black)) 
	(connected uc democ, sort clpattern(dash) clwidth(thin) clcolor(black) mcolor(black) msize(1)) 
	(connected lc democ, sort clpattern(dash) clwidth(thin) clcolor(black) mcolor(black) msize(1)), 
	yline(1, lcolor(black)) ytitle(Partial Effect of Political Terror (State)) 
	xtitle(Democracy) xlabel(0(1)10) legend(off);

drop mfxptss2 uc lc;

**************Figure 7 (ICCPR--Civil Freedom)*****************

#delimit;
stset, clear;
stset year, failure(iccprr==1) id(ccode) origin(time year==1966) enter(year==1966);
xi: stcox democciv_free2 democ civ_free2 newreg ngosi  l_iccprr_regp , 
robust cluster(country);    

predictnl mfxciv_free2=exp(_b[civ_free2]+_b[democciv_free2]*democ), ci(lc uc);

twoway (connected mfxciv_free2 democ, sort clcolor(black) clpat(solid) mcolor(black)) 
	(connected uc democ, sort clpattern(dash) clwidth(thin) clcolor(black) mcolor(black) msize(1)) 
	(connected lc democ, sort clpattern(dash) clwidth(thin) clcolor(black) mcolor(black) msize(1)), 
	yline(1, lcolor(black)) ytitle(Partial Effect of Civil Freedom Violations) 
	xtitle(Democracy) xlabel(0(1)10) legend(off);

drop mfxciv_free2 uc lc;

**************Figure 8 (ICCPR-Fair Trial)*****************

#delimit;
stset, clear;
stset year, failure(iccprr==1) id(ccode) origin(time year==1966) enter(year==1966);
xi: stcox democfair_trii2 democ fair_trii2 newreg ngosi  l_iccprr_regp , 
robust cluster(country);    

predictnl mfxfair_trii2=exp(_b[fair_trii2]+_b[democfair_trii2]*democ), ci(lc uc);

twoway (connected mfxfair_trii2 democ, sort clcolor(black) clpat(solid) mcolor(black)) 
	(connected uc democ, sort clpattern(dash) clwidth(thin) clcolor(black) mcolor(black) msize(1)) 
	(connected lc democ, sort clpattern(dash) clwidth(thin) clcolor(black) mcolor(black) msize(1)), 
	yline(1, lcolor(black)) ytitle(Partial Effect of Fair Trial Violations) 
	xtitle(Democracy) xlabel(0(1)10) legend(off);

drop mfxfair_trii2 uc lc;

**************Figure 9 (Optional Protocol-Civil Freedom)*****************

#delimit;
stset, clear;
stset year, failure(opicr==1) id(ccode) origin(time year==1966) enter(year==1966);
xi: stcox democciv_free2 democ civ_free2 newreg ngosi  l_opicr_regp , 
robust cluster(country);   

predictnl mfxciv_free2=exp(_b[civ_free2]+_b[democciv_free2]*democ), ci(lc uc);

twoway (connected mfxciv_free2 democ, sort clcolor(black) clpat(solid) mcolor(black)) 
	(connected uc democ, sort clpattern(dash) clwidth(thin) clcolor(black) mcolor(black) msize(1)) 
	(connected lc democ, sort clpattern(dash) clwidth(thin) clcolor(black) mcolor(black) msize(1)), 
	yline(1, lcolor(black)) ytitle(Partial Effect of Civil Freedom Violations) 
	xtitle(Democracy) xlabel(0(1)10) legend(off);

drop mfxciv_free2 uc lc;

**************Figure 10 (Optional Protocol-Fair Trial)*****************


#delimit;
stset, clear;
stset year, failure(opicr==1) id(ccode) origin(time year==1966) enter(year==1966);
xi: stcox democfair_trii2 democ fair_trii2 newreg ngosi  l_opicr_regp , 
robust cluster(country);   

predictnl mfxfair_trii2=exp(_b[fair_trii2]+_b[democfair_trii2]*democ), ci(lc uc);

twoway (connected mfxfair_trii2 democ, sort clcolor(black) clpat(solid) mcolor(black)) 
	(connected uc democ, sort clpattern(dash) clwidth(thin) clcolor(black) mcolor(black) msize(1)) 
	(connected lc democ, sort clpattern(dash) clwidth(thin) clcolor(black) mcolor(black) msize(1)), 
	yline(1, lcolor(black)) ytitle(Partial Effect of Fair Trial Violations) 
	xtitle(Democracy) xlabel(0(1)10) legend(off);

drop mfxfair_trii2 uc lc;

**************Figure 11 (CEDAW-Difference in Literacy Rates)*****************

#delimit;
stset, clear;
stset year, failure(cedwr==1) id(ccode) origin(time year==1979) enter(year==1979);
xi: stcox democlitdif democ litdif newreg ngosi  l_cedwr_regp , 
robust cluster(country);   

predictnl mfxlitdif=exp(_b[litdif]+_b[democlitdif]*democ), ci(lc uc);

twoway (connected mfxlitdif democ, sort clcolor(black) clpat(solid) mcolor(black)) 
	(connected uc democ, sort clpattern(dash) clwidth(thin) clcolor(black) mcolor(black) msize(1)) 
	(connected lc democ, sort clpattern(dash) clwidth(thin) clcolor(black) mcolor(black) msize(1)), 
	yline(1, lcolor(black)) ytitle(Partial Effect of Differences in Literacy Rates) 
	xtitle(Democracy) xlabel(0(1)10) legend(off);

drop mfxlitdif uc lc;



